Index: /trunk/SophyaPI/PI/smakefile
===================================================================
--- /trunk/SophyaPI/PI/smakefile	(revision 3503)
+++ /trunk/SophyaPI/PI/smakefile	(revision 3504)
@@ -16,5 +16,7 @@
  
 $(SOPHYAOBJP)parradapter.o: parradapter.cc \
-  $(SOPHYAINCP)sopnamsp.h parradapter.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)nbtri.h \
+  $(SOPHYAINCP)machdefs.h parradapter.h \
   $(SOPHYAINCP)machdefs.h lut.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  parradapter.cc
@@ -37,5 +39,5 @@
   pimenugen.h pioptmenux.h pioptmenugen.h piwindowx.h piwindowgen.h \
   picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
-  pimenubargen.h picons.h
+  pimenubargen.h piconsenum.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi3dwdg.cc
  
@@ -44,8 +46,5 @@
   $(SOPHYAINCP)machdefs.h pisysdep.h \
   picontainerx.h picontainergen.h piwdgx.h piwdggen.h picolist.h \
-  pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
-  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
-  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
-  pigraphuc.h pievthandler.h psfile.h pigraphps.h
+  pimenubarx.h pimenubargen.h pimenux.h pimenugen.h piconsenum.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapplgen.cc
  
@@ -54,8 +53,8 @@
   $(SOPHYAINCP)machdefs.h pisysdep.h \
   picontainerx.h picontainergen.h piwdgx.h piwdggen.h picolist.h \
-  pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
-  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
-  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
-  pigraphuc.h pievthandler.h psfile.h pigraphps.h
+  pimenubarx.h pimenubargen.h pimenux.h pimenugen.h piconsenum.h picons.h \
+  pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
+  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapplx.cc
  
@@ -75,6 +74,6 @@
   pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
   picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
-  picons.h pibwdgx.h pibwdggen.h pigraphx.h pievthandler.h psfile.h \
-  pigraphps.h piscdrawwdg.h pidrawer.h pieldrw.h
+  piconsenum.h piscdrawwdg.h pibwdgx.h pibwdggen.h pigraphx.h \
+  pievthandler.h psfile.h pigraphps.h pidrawer.h pieldrw.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piaxestools.cc
  
@@ -96,5 +95,5 @@
   pimenugen.h pioptmenux.h pioptmenugen.h piwindowx.h piwindowgen.h \
   picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
-  pimenubargen.h picons.h pibwdgx.h
+  pimenubargen.h piconsenum.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pibwdggen.cc
  
@@ -136,5 +135,5 @@
   pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
   pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
-  pievthandler.h psfile.h pigraphps.h
+  pievthandler.h psfile.h pigraphps.h piconsenum.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picons.cc
  
@@ -159,5 +158,5 @@
   pioptmenux.h pioptmenugen.h piwindowx.h piwindowgen.h picontainerx.h \
   picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
-  picons.h pibwdgx.h pigraphps.h ucckprot.h
+  piconsenum.h ucckprot.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pidrawer.cc
  
@@ -178,9 +177,8 @@
   pimenugen.h pioptmenux.h pioptmenugen.h piwindowx.h piwindowgen.h \
   picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
-  pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
-  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
-  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
-  piscdrawwdg.h pidrawer.h pigratt.h piaxes.h pieldrw.h pi3dwdg.h \
-  pi3ddrw.h pigraph3d.h
+  pimenubargen.h piconsenum.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
+  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
+  pigraphuc.h pievthandler.h psfile.h piscdrawwdg.h pibwdgx.h pigraphps.h \
+  pidrawer.h pigratt.h piaxes.h pieldrw.h pi3dwdg.h pi3ddrw.h pigraph3d.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pidrwtools.cc
  
@@ -211,9 +209,6 @@
   $(SOPHYAINCP)machdefs.h piapplx.h piapplgen.h \
   pimsghandler.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
-  picolist.h pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
-  pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
-  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
-  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
-  pifilechox.h pifilechogen.h piwindowx.h piwindowgen.h
+  picolist.h pimenubarx.h pimenubargen.h pimenux.h pimenugen.h \
+  piconsenum.h pifilechox.h pifilechogen.h piwindowx.h piwindowgen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pifilechox.cc
  
@@ -284,6 +279,6 @@
   piwindowx.h piwindowgen.h picontainerx.h picontainergen.h picmapview.h \
   piimgtools.h pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h \
-  piapplx.h piapplgen.h pimenubarx.h pimenubargen.h picons.h pidrwtools.h \
-  piscdrawwdg.h piyfxdrw.h
+  piapplx.h piapplgen.h pimenubarx.h pimenubargen.h piconsenum.h \
+  pidrwtools.h piscdrawwdg.h piyfxdrw.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piimage.cc
  
@@ -294,9 +289,9 @@
   pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwindowx.h \
   piwindowgen.h picontainerx.h picontainergen.h piapplx.h piapplgen.h \
-  pimenubarx.h pimenubargen.h picons.h pibwdgx.h pibwdggen.h picmap.h \
-  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
-  pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
-  piimage.h parradapter.h lut.h pieldrw.h pidrawer.h pigratt.h piaxes.h \
-  pipixmapx.h pipixmapgen.h picmapview.h
+  pimenubarx.h pimenubargen.h piconsenum.h piimage.h parradapter.h lut.h \
+  pieldrw.h pidrawer.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
+  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
+  pigraphuc.h pievthandler.h psfile.h pigratt.h piaxes.h pipixmapx.h \
+  pipixmapgen.h pibwdgx.h pigraphps.h picmapview.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piimgtools.cc
  
@@ -320,8 +315,5 @@
   pisysdep.h $(SOPHYAINCP)machdefs.h pimenux.h \
   pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h piapplx.h \
-  piapplgen.h picontainerx.h picontainergen.h pimenubarx.h picons.h \
-  pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
-  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
-  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+  piapplgen.h picontainerx.h picontainergen.h pimenubarx.h piconsenum.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenubargen.cc
  
@@ -331,8 +323,5 @@
   $(SOPHYAINCP)machdefs.h pimenux.h pimenugen.h \
   piwdgx.h piwdggen.h pimsghandler.h picolist.h piapplx.h piapplgen.h \
-  picontainerx.h picontainergen.h picons.h pistdwdgx.h pistdwdggen.h \
-  pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
-  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
-  pievthandler.h psfile.h pigraphps.h
+  picontainerx.h picontainergen.h piconsenum.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenubarx.cc
  
@@ -364,8 +353,6 @@
   pioptmenugen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h pistdwdgx.h pistdwdggen.h piapplx.h piapplgen.h \
-  picontainerx.h picontainergen.h pimenubarx.h pimenubargen.h picons.h \
-  pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
-  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
-  pievthandler.h psfile.h pigraphps.h
+  picontainerx.h picontainergen.h pimenubarx.h pimenubargen.h \
+  piconsenum.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pioptmenux.cc
  
@@ -403,5 +390,5 @@
   pigratt.h piaxes.h pieldrw.h pidrwtools.h pimenux.h pimenugen.h \
   pioptmenux.h pioptmenugen.h piapplx.h piapplgen.h pimenubarx.h \
-  pimenubargen.h picons.h piaxestools.h
+  pimenubargen.h piconsenum.h piaxestools.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piscdrawwdg.cc
  
Index: /trunk/SophyaPI/PIGcont/smakefile
===================================================================
--- /trunk/SophyaPI/PIGcont/smakefile	(revision 3503)
+++ /trunk/SophyaPI/PIGcont/smakefile	(revision 3504)
@@ -35,5 +35,6 @@
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -50,6 +51,5 @@
   $(SOPHYAINCP)pievthandler.h \
   $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)pigraphps.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
@@ -60,4 +60,5 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -154,5 +155,6 @@
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -169,6 +171,5 @@
   $(SOPHYAINCP)pievthandler.h \
   $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)pigraphps.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
@@ -179,4 +180,5 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
Index: /trunk/SophyaPI/PIext/smakefile
===================================================================
--- /trunk/SophyaPI/PIext/smakefile	(revision 3503)
+++ /trunk/SophyaPI/PIext/smakefile	(revision 3504)
@@ -46,22 +46,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -69,4 +52,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -76,4 +61,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -167,30 +167,31 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -320,9 +321,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -330,4 +327,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -337,4 +336,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -391,22 +392,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -414,4 +398,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -421,4 +407,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -477,22 +478,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -500,4 +484,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -507,4 +493,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -585,22 +586,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -608,4 +592,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -615,4 +601,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -733,9 +734,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -743,4 +740,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -750,4 +749,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1623,9 +1624,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1633,4 +1630,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1640,4 +1639,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1704,22 +1705,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1727,4 +1711,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1734,4 +1720,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1801,22 +1802,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1824,4 +1808,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1831,4 +1817,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1969,9 +1970,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -1979,4 +1976,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -1986,4 +1985,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2157,22 +2158,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)sopnamsp.h pihisto2d.h \
   $(SOPHYAINCP)pimenux.h \
@@ -2180,8 +2164,25 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)piscdrawwdg.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2215,22 +2216,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2238,4 +2222,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2245,4 +2231,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2482,22 +2483,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2505,4 +2489,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2512,4 +2498,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2595,22 +2596,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2618,4 +2602,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2625,4 +2611,19 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2764,9 +2765,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -2774,4 +2771,6 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -2781,4 +2780,6 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
Index: /trunk/SophyaPI/ProgPI/smakefile
===================================================================
--- /trunk/SophyaPI/ProgPI/smakefile	(revision 3503)
+++ /trunk/SophyaPI/ProgPI/smakefile	(revision 3504)
@@ -85,17 +85,18 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
-  $(SOPHYAINCP)pistdwdgx.h \
-  $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pibwdgx.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)pistdwdggen.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pigraphps.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)pieldrw.h \
@@ -159,7 +160,16 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -177,12 +187,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -239,7 +241,16 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -257,12 +268,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -352,7 +355,16 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -370,12 +382,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -481,7 +485,16 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -499,12 +512,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -601,7 +606,16 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pioptmenugen.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)piperiodx.h \
+  $(SOPHYAINCP)periodic.h \
+  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -619,12 +633,4 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pifilechox.h \
-  $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
Index: /trunk/SophyaProg/PrgMap/smakefile
===================================================================
--- /trunk/SophyaProg/PrgMap/smakefile	(revision 3503)
+++ /trunk/SophyaProg/PrgMap/smakefile	(revision 3504)
@@ -68,4 +68,5 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)arrctcast.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -301,4 +302,5 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)arrctcast.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -379,4 +381,5 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)arrctcast.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
Index: /trunk/SophyaProg/PrgUtil/smakefile
===================================================================
--- /trunk/SophyaProg/PrgUtil/smakefile	(revision 3503)
+++ /trunk/SophyaProg/PrgUtil/smakefile	(revision 3504)
@@ -52,4 +52,5 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)arrctcast.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
